PETSc version 3.17.4
Fix/Edit manual page

# MatSetVariableBlockSizes

Sets diagonal point-blocks of the matrix that need not be of the same size

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetVariableBlockSizes(Mat mat,PetscInt nblocks,PetscInt *bsizes)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| nblocks | - the number of blocks on this process
| bsizes | - the block sizes

### Notes

Currently used by PCVPBJACOBI for AIJ matrices

Each variable point-block set of degrees of freedom must live on a single MPI rank. That is a point block cannot straddle two MPI ranks.

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSizes(), MatGetBlockSizes(), MatGetVariableBlockSizes(), PCVPBJACOBI

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages